Package org.eclipse.net4j.util.concurrent

# Class ExecutorServiceFactory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.concurrent.ExecutorServiceFactory

All Implemented Interfaces:
  `IFactory`, `IFactoryKeyAware`

public class ExecutorServiceFactory extends Factory

Since:
  2.0
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_THREAD_GROUP_NAME`
`static final String`
`PRODUCT_GROUP`
`static final String`
`TYPE`
Deprecated.
As of 4.8 the value of the system property "org.eclipse.net4j.util.concurrent.ExecutorServiceFactory.type" is used.

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`ExecutorServiceFactory()`

## Method Summary

Modifier and Type
Method
Description
`ExecutorService`
`create(String description)`
`static ExecutorService`
`get(IManagedContainer container)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_THREAD_GROUP_NAME

public static final String DEFAULT_THREAD_GROUP_NAME

See Also:
  - Constant Field Values

### PRODUCT_GROUP

public static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

### TYPE

@Deprecated public static final String TYPE
Deprecated.
As of 4.8 the value of the system property "org.eclipse.net4j.util.concurrent.ExecutorServiceFactory.type" is used.

See Also:
  - Constant Field Values

## Constructor Details

### ExecutorServiceFactory

public ExecutorServiceFactory()

## Method Details

### create

public ExecutorService create(String description)

### get

public static ExecutorService get(IManagedContainer container)